Subject: Re: [PATCH] rebase -i: fix rewording with --committer-date-is-author-date

From: Junio C Hamano <[email-masked]>
Date: Wed, 03 Nov 2021 23:27:28 -0700

Jeff King <[email-masked]> writes:

> ... I just didn't
> consider it quite the same as a bug that had never been in a released
> version at all (and I know you are often hesitant to throw too much into
> the -rc part of the cycle).

Ah, I see.

2.33.1 was 2.33.0 plus what was queued on 'master' back then for
2.34.0, and more importantly, we do not issue the maintenance track
very often these days (except for occasional security patches).

To put it differently, I didn't have to issue 2.33.1. There was
nothing urgent in there, and it was just that the cycle toward 2.34
was unusually busy and there were too many accumulated fixes on the
'master' front that were 'maint' material.  And for that reason, in
my mind, 2.33.1 cannot be treated quite the same way as feature
releases X.YY.0, when I say "The bug was already present in that
released version, so fixing it is not all that urgent".